package org.dromara.ygpassport.domain.dto;


import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.CareerSkillBo;
import org.dromara.ygpassport.domain.vo.CareerSkillVo;

import java.io.Serial;

/**
 * 职业技能证书视图对象
 *
 */
@Data
@AutoMapper(target = CareerSkillBo.class, reverseConvertGenerate = false)
public class WxCareerSkillDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 证件名称
     */
    private String certTitle;

    /**
     * 证件等级
     */
    private Long certLevel;

    /**
     * 证件内容
     */
    private String content;

    /**
     * 获得时间
     */
    private String fetchTime;

    /**
     * 证件照片
     */
    private String certImage;

//    /**
//     * 附件信息存放路径
//     */
//    private String experienceFilePath;


    public WxCareerSkillDto() {
    }

    public WxCareerSkillDto(CareerSkillVo careerSkillVo) {
        this.id = careerSkillVo.getId();
        this.certTitle = careerSkillVo.getCertTitle();
        this.certLevel = careerSkillVo.getCertLevel();
        this.fetchTime = careerSkillVo.getFetchTime();
        this.certImage = careerSkillVo.getCertImage();
    }
}
